Esko Logo Back to Esko Support
Choose your language for a machine translation:
Skip to end of metadata
Go to start of metadata


 

Question

Do Esko products support macOS High Sierra and macOS Mojave?

Answer

macOS High Sierra (10.13) was released on September 25, 2017.

macOS Mojave (10.14) is the latest major update of Apple's macOS operating system. It was released on . As with previous macOS releases, macOS Mojave  is a free and very easy update. However, not all Esko products support macOS Mojave yet.

Please consult the table to check whether your product is supported on macOS High Sierra or macOS Mojave.

In a production environment, it is never a good idea to upgrade your Esko workstations to a new operating system automatically. While we do everything we can to ensure compatibility with new operating system releases, you should always check the list of supported products below before you upgrade.

macOS Support

Use this table to determine if your Esko product is compatible with macOS High Sierra or Mojave.

Product
macOS High Sierra (10.13)               
macOS Mojave (10.14)
ArtPro
SUPPORTED as of 16.1

SUPPORTED as of 18.0

ArtPro+

SUPPORTED as of 16.1.1

SUPPORTED as of 18.0

DeskPack for Adobe® Illustrator®
SUPPORTED as of 16.1.2 (1)

SUPPORTED as of 18.0

DeskPack for Adobe® Photoshop®      

SUPPORTED as of 16.1.2 (1)

SUPPORTED as of 18.0

Dynamic Content for Adobe® Illustrator®

SUPPORTED as of 16.1.2 (1)

SUPPORTED as of 18.0

Studio

SUPPORTED as of 16.1.2 (1)

SUPPORTED as of 18.0

DotSpy

SUPPORTED as of version 4.5 rev 6

SUPPORTED as of version 4.5 rev 6

Automation Engine Mac Client
SUPPORTED as of 16.1

SUPPORTED as of 18.0.1

i-cut Layout Essential and i-cut Preflight
SUPPORTED as of 16.0 (2)

SUPPORTED as of 16.0.1

Nexus Server
NOT SUPPORTED

NOT SUPPORTED

Nexus Manager
NOT SUPPORTED

NOT SUPPORTED

Nexus Rip
NOT SUPPORTED

NOT SUPPORTED

Neo

NOT SUPPORTED

NOT SUPPORTED

Local License Manager
SUPPORTED as of 16.1

SUPPORTED as of 16.1

Network License Manager

SUPPORTED as of 16.1

SUPPORTED as of 18.0.1

Esko Station Information Service

SUPPORTED as of 16.1.1

SUPPORTED as of 16.1.1

Esko Proof Client 

SUPPORTED as of 16.1

SUPPORTED as of 18.0.0

WebCenter Client
SUPPORTED as of 14.1.1

(1) Before installing/upgrading, also check with Adobe® if your version of Illustrator/Photoshop is supported. Note that this article mentions potential issues with Illustrator, this article mentions issues with Photoshop.

(2) i-cut Preflight only supported on HFS+ file systems (not on APFS)

For more information, please also visit our System Requirements page: https://www.esko.com/en/systemrequirements/

Article information
Applies to

Esko all Software and Hardware products

Created
 
Last revised

 

AuthorWEIC
Case Number 
Contents